Summary:	Cantarell fonts
Summary(pl.UTF-8):	Fonty Cantarell
Name:		fonts-OTF-Cantarell
Version:	0.303.1
Release:	1
License:	OFL v1.1
Group:		Fonts
Source0:	https://download.gnome.org/sources/cantarell-fonts/0.303/cantarell-fonts-%{version}.tar.xz
# Source0-md5:	a9be59ddb29204dcfd3357f201949b8c
URL:		https://gitlab.gnome.org/GNOME/cantarell-fonts/
BuildRequires:	gettext-its-metainfo
BuildRequires:	gettext-tools
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	psautohint >= 2.0.0
BuildRequires:	python3-attrs >= 18.2
BuildRequires:	python3-cffsubr >= 0.2.8
BuildRequires:	python3-fontMath >= 0.5.0
# fontTools[ufo,lxml,unicode]
BuildRequires:	python3-fonttools >= 4.0.0
BuildRequires:	python3-lxml >= 4
BuildRequires:	python3-skia-pathops
BuildRequires:	python3-statmake >= 0.1.3
# ufo2ft[cffsubr]
BuildRequires:	python3-ufo2ft >= 2.15.0
BuildRequires:	python3-ufoLib2 >= 0.4.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	fontpostinst
Requires:	fontconfig >= 1:2.10.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_otffontsdir	%{_fontsdir}/OTF

%description
Cantarell is a set of fonts originally designed by Dave Crossland. It
is a sans-serif Humanist typeface family.

%description -l pl.UTF-8
Cantarell to zbiór fontów pierwotnie zaprojektowanych przez Dave'a
Crosslanda. Jest to rodzina krojów bezszeryfowych Humanist.

%prep
%setup -q -n cantarell-fonts-%{version}

%build
%meson build \
	-Dfontsdir=%{_otffontsdir}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst OTF

%postun
fontpostinst OTF

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.md
%{_otffontsdir}/Cantarell-*.otf
%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml
%changelog
* Sun Dec 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-OTF-Cantarell.git;a=log;h=master

* Sun Dec 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 235e2c6
- updated to 0.303.1; now bunch of python font tools is required to build fonts

* Tue Dec 22 2020 Jakub Bogusz <qboosh@pld-linux.org> f24d396
- updated to 0.300

* Tue Jan 14 2020 Jakub Bogusz <qboosh@pld-linux.org> c808ae0
- updated to 0.201

* Sun Jan 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 1e72961
- macros for meson

* Sun Jan 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 2b01a02
- gettext dependencies with ITS rules

* Sat Jan 26 2019 Jakub Bogusz <qboosh@pld-linux.org> f280015
- meson dependencies

* Sat Jan 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 5201f42
- updated to 0.111

* Sat Dec 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 2a6e2dc
- updated to 0.0.25

* Wed Mar 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 73e60ba
- updated to 0.0.24

* Sat Feb 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 53f2c90
- Update to 0.0.22

* Thu Jan 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 8355959
- updated to 0.0.21

* Fri Jan 08 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 26a9adf
- Update to 0.0.20.1

* Mon Jan 04 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 286270f
- Update to 0.0.20

* Sat Dec 26 2015 Jakub Bogusz <qboosh@pld-linux.org> bb65893
- updated to 0.0.19

* Tue Nov 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 5184f09
- updated to 0.0.18.1

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> dfa48bd
- updated to 0.0.18

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> c40082a
- updated to 0.0.17.2

* Mon Oct 05 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 1ae95e2
- Update to 0.0.17

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9174e5b
- Update to 0.0.16

* Thu Sep 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c5cc290
- Update to 0.0.15

